c
c=======================================================================
c  Include file "fieldsbar.h"
c=======================================================================
#ifndef rmdocinc
c
c  UBARONEW updated zonal external mode velocity.
c  UBARO    present timestep zonal external mode velocity.
c  UBAROB   previous timestep zonal external mode velocity.
c  VBARONEW updated meridional external mode velocity.
c  VBARO    present timestep meridional external mode velocity.
c  VBAROB   previous timestep meridional external mode velocity.
c  FKMQ     number of vertical levels of ocean at U,V points.
c  FKMP     number of vertical levels of ocean at T points.
c
c=======================================================================
#endif
c
      FLOAT 
     *      ubaronew(imt,jmt),ubaro(imt,jmt),ubarob(imt,jmt),
     *      vbaronew(imt,jmt),vbaro(imt,jmt),vbarob(imt,jmt),
     *      fkmq(imt,jmt),fkmp(imt,jmt)
#if defined smallpsdt2 | defined smallpsdt4
     &      ,ubaradv(imt,jmt),vbaradv(imt,jmt)
#endif
#if defined smallpsdt4
     &      ,ptdsm(imt,jmt,0:1),ptdwk(imt,jmt,0:1),
     &       usmadv(imt,jmt,0:1),uwkadv(imt,jmt,0:1),
     &        vsmadv(imt,jmt,0:1),vwkadv(imt,jmt,0:1)
      integer icursm,ioldsm,iptadv,iptbadv
#endif
      common /fieldsbar/ ubaronew,ubaro,ubarob,vbaronew,vbaro,vbarob,
     *                   fkmq,fkmp
#if defined smallpsdt2 | defined smallpsdt4
     &                   ,ubaradv,vbaradv
#endif
#if defined smallpsdt4
     &                    ,ptdsm,ptdwk,usmadv,uwkadv,vsmadv,vwkadv
      common /ifieldsbar/ icursm,ioldsm,iptadv,iptbadv
#endif

