      subroutine getchildid (testname,parenid,childid)
c
c=======================================================================
c                                                                    ===
c  This routine 
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <cdefs.h>
#include <param.h>
#include <pconst.h>
#include <mpif.h>
#include <nest.h>
#include <iounits.h>
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer childid,n,parenid,sbgn,sbn2,send,snd2,slen,sln2
      logical       found
      character*(*) testname
c
c=======================================================================
c  Begin executable code.
c=======================================================================
c
      found = .false.
      n     = 0
      call length (testname,slen,sbgn,send)
c
      do 10 while ((.not.found) .and. (n.lt.tot_proc_nest))
c
         n = n + 1
         if (nstparn(n).lt.0) then
            call length (nstproc(n),sln2,sbn2,snd2)
            found = testname(sbgn:send) .eq. nstproc(n)(sbn2:snd2)
         end if
 10   continue
c
      if (found) then
         no_par_assgn = no_par_assgn + 1
         childid = n
         nstparn(n) = parenid
      else
         write (stdout,900) testname(sbgn:send)
         call exitus ('GETCHILDID')
      end if
c
      return
c
 900  format (/'***Error:  GETCHILDID - unable to find child process:'/
     &        11x,1h",a,1h")
c
      end

