      subroutine man_blkdat
c
c=======================================================================
c                                                                    ===
c  Sub-program to initialize some variables and arrays in named      ===
c  common blocks.                                                    ===
c                                                                    ===
c=======================================================================
c
c-----------------------------------------------------------------------
c  Define global data.
c-----------------------------------------------------------------------
c
#include <cdefs.h>
#include <param.h>
#include <pconst.h>
#if defined nest2smaller | defined nest2larger
# ifdef use_mpi
#  include <mpif.h>
# else
#  include <fpvm3.h>
# endif
# include <nest.h>
#endif
c
c-----------------------------------------------------------------------
c  Define local data.
c-----------------------------------------------------------------------
c
      integer n
c
c=======================================================================
c  Initialize some common block data.
c=======================================================================
c
#if defined nest2smaller | defined nest2larger
c-----------------------------------------------------------------------
c  MPI include file contains "external" statements that cannot be
c  used in block data statements
c-----------------------------------------------------------------------
c
      nnmtb = 3
      nnmvb = 3
      do 30, n = 1, mxsubd
         nnmtbs(n) = 3
         nnmvbs(n) = 3
 30   continue
# ifdef nest2smaller
      nosubd = 0
# endif
#endif
      return
      end
